petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatPartitioningRegister

Adds a new sparse matrix partitioning to the matrix package.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningRegister(const char sname[],PetscErrorCode (*function)(MatPartitioning))

Not Collective

### Input Parameters

| sname | - name of partitioning (for example MATPARTITIONINGCURRENT) or parmetis
| function | - function pointer that creates the partitioning type

### Sample usage

       MatPartitioningRegister("my_part",MyPartCreate);

Then, your partitioner can be chosen with the procedural interface via

        MatPartitioningSetType(part,"my_part")

or at runtime via the option

        -mat_partitioning_type my_part

### Keywords

matrix, partitioning, register

### See Also

MatPartitioningRegisterDestroy(), MatPartitioningRegisterAll()

Level:developer
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages